Transaction Webhooks
This request updates the merchant on the status of the transaction.
Authorization
ApiKeyAuth X-API-KeyAdmins and Developers can obtain their Bolt API key from the Bolt Merchant Dashboard.
In: header
Scope: X-API-Key
Header Parameters
Bolt sends a signed HMAC for hook verification
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/webhooks_transaction" \ -H "Content-Type: application/json" \ -d '{}'{ "status": "succeeded"}product.info GET
Bolt uses this endpoint to fetch product details, availability, and variant information from a merchant to display in Checkout Everywhere. You can pass either the `productID` or the `sku`; if both are present, Bolt defaults to `productID`.
Credit Card Webhooks (BETA) POST
This request notifies merchants on changes to a existing customer's saved credit card information.